Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query Allowlist Service Status

Query whether the specified user has enabled the allowlist filtering feature.

Request Method

POST: https://data center domain/user/whitesetting/query.json

Signature Rule: All server API requests require signature verification. For details, refer to API Request Signature.

Rate Limit: 100 requests per second

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, supporting the following HTTP form parameters:

ParameterTypeRequiredDescription
userIdStringYesUser ID, up to 20 users can be queried.

Request Example

POST /user/whitesetting/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=98&userId=99

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberReturn code, 200 indicates success.
usersString[]List of user statuses.
userIdStringUser ID.
whiteSettingStringStatus, 1 indicates allowlist is enabled, 0 indicates blocklist is enabled, default is blocklist.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200,
"users": [
{
"whiteSetting": "0",
"userId": "00"
}
]}